Bug 142802 - [ata] [panic] on removing drive: recursed on non-recursive mutex ATA state lock
Summary: [ata] [panic] on removing drive: recursed on non-recursive mutex ATA state lock
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: panic
Depends on:
Blocks:
 
Reported: 2010-01-14 01:40 UTC by Floris Bos
Modified: 2019-04-07 02:23 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Floris Bos 2010-01-14 01:40:01 UTC
On removing a SATA drive from the system, the following panic occurs:

==
panic: _mtx_lock_sleep: recursed on non-recursive mutex ATA state lock @ /usr/src/sys/dev/ata/ata-all.c:321

cpuid = 1
KDB: enter: panic
[thread pid 0 tid 100027 ]
Stopped at kdb_enter+0x3d: movq $0,0x6aefb0(%rip)
==

System is a HP DL120 G6, on-board Intel AHCI controller.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:27 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 Andriy Voskoboinyk freebsd_committer 2019-04-07 02:23:02 UTC
Seems to be fixed in base r204250.